## screengrab 1.95+20151117

=== debian/changelog ===
screengrab (1.95+20151117-4) unstable; urgency=medium

  * modify some build dependencies - and remove the limit of
    xfixes0-dev:
    Added libx11-xcb-dev,
    Added libxcb1-dev,
    Removed x11-utils
  * move from experimental to unstable

 -- Alf Gaida <agaida@siduction.org>  Sun, 20 Dec 2015 20:29:31 +0100

screengrab (1.95+20151117-3) experimental; urgency=medium

  * Build  dependency libxcb-xfixes0-dev leads to FTBFS when not limited
    to [linux-any] 
  * Removed build dependency libqxt-dev, it's not used with Qt 5 

 -- Alf Gaida <agaida@siduction.org>  Thu, 26 Nov 2015 02:58:26 +0100

screengrab (1.95+20151117-2) experimental; urgency=medium

  * Added X11-Utils as build dependency

 -- Alf Gaida <agaida@siduction.org>  Fri, 20 Nov 2015 02:37:20 +0100

screengrab (1.95+20151117-1) experimental; urgency=medium

  * Cherry-picking upstream version 1.95+20151117.
  * Added libxcb-xfixes0-dev as build dependency

 -- Alf Gaida <agaida@siduction.org>  Fri, 20 Nov 2015 00:23:43 +0100

screengrab (1.95+20150929-1) experimental; urgency=medium

  [Alf Gaida ]
  * Cherry-picking upstream version 1.95+20150929.
  * Changed mail address of czchen
  * Added .gitignore
  * Added watch file
  * Added lintian-overrides
  * Added debug package
  * Fixed copyright
  * Deleted debian/install, use override_dh_auto_install instead
  * Cleaned source/options
  * Initial packaging (Closes: #795791)

  [ ChangZhuo Chen (陳昌倬) ]
  * Fix changelog package name in changelog
  * Reformat control
  * Remove non upstream file

  [ Andrew Lee (李健秋) ]
  * Adding upstream version 1.95_pr1.

 -- Alf Gaida <agaida@siduction.org>  Sun, 01 Nov 2015 23:34:44 +0100
