=== debian/control ===
Source: screengrab
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libx11-dev,
               libx11-xcb-dev,
               libxcb1-dev,
               libxcb-xfixes0-dev [!kfreebsd-any],
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/screengrab.git
Homepage: https://github.com/QtDesktop/screengrab

Package: screengrab
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Crossplatform tool for getting screenshots
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 Main features:
  * Get desktop screenshots
  * Get active window screenshots
  * Get secreenshots of desktop selection area
  * Copy screenshot to clipboard
  * Saving your image files in formats PNG or JPEG or BMP
  * Ability to set delay in getting screenshots (from 1 to 90 seconds)

Package: screengrab-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         screengrab,
Description: Crossplatform tool for getting screenshots (debug)
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 .
 This package contain the debugging symbols for screengrab.
