=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/screengrab

override_dh_install:
	rm -f $(currdir)/debian/screengrab/usr/share/doc/screengrab/LICENSE.txt
	dh_install

override_dh_strip:
	dh_strip --dbg-package screengrab-dbg


override_dh_makeshlibs:
	# do nothing
