=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                qttools5-dev,
                qttools5-dev-tools,
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/screengrab.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git
+Vcs-Git: https://anonscm.debian.org/pkg-lxqt/screengrab.git
 Homepage: https://github.com/QtDesktop/screengrab
 
 Package: screengrab
@@ -36,15 +36,3 @@
   * Copy screenshot to clipboard
   * Saving your image files in formats PNG or JPEG or BMP
   * Ability to set delay in getting screenshots (from 1 to 90 seconds)
-
-Package: screengrab-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends},
-         screengrab,
-Description: Crossplatform tool for getting screenshots (debug)
- Screengrab working in Linux and Windows. The program uses Qt and is
- independent of any desktop environment.
- .
- This package contain the debugging symbols for screengrab.
