=== debian/watch ===
version=3
https://github.com/QtDesktop/screengrab/releases .*/(.*)\.tar\.gz
