=== debian/changelog ===
screengrab (1.96-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.96.
  * Removed disable-upload.patch, applied upstream
  * Bumped minimum version libqt5xdg-dev (>= 2.0.0) 
  * Added buid dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev
  * Removed --parallel from rules, compat 10 standard

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 23:59:57 +0200

screengrab (1.96~38-g975f8ce-1) unstable; urgency=medium

  * Cherry-picked upstream snapshot 1.96~38-g975f8ce
  * Removed not needed reproducible.patch, merged upstream
  * Added patch build-date-time.patch 
  * Added patch disable-uploads.patch, core-cli-upload-option.patch,
    disable-cli-upload-option.patch (Closes: #834517)
  * Bumped compat to 10
  * Bumped dependency debhelper (>= 10)
  * Bumped Standards to 3.9.8, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Mon, 19 Sep 2016 03:56:48 +0200

screengrab (1.95+20160128-3) unstable; urgency=medium

  * Set LC_ALL for reproducible builds.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 08 Aug 2016 00:20:01 +0800

screengrab (1.95+20160128-2) unstable; urgency=medium

  * make builds reproducible again (Closes: #815899), thanks to Eduard Sanou
    for the patch, but i fixed this already upstream
  * Bump Standard to 3.9.7

 -- Alf Gaida <agaida@siduction.org>  Thu, 25 Feb 2016 21:03:01 +0100
