=== debian/control ===
--- 
+++ 
@@ -5,21 +5,23 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake (>= 3.0.2),
                libkf5windowsystem-dev,
+	       libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 1.3.0),
+               libqt5xdg-dev (>= 2.0.0),
+               libqt5xdgiconloader-dev,
                libx11-dev,
                libx11-xcb-dev,
                libxcb1-dev,
                libxcb-xfixes0-dev [!kfreebsd-any],
                pkg-config,
                qttools5-dev,
-               qttools5-dev-tools,
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git
-Vcs-Git: https://anonscm.debian.org/pkg-lxqt/screengrab.git
+               qttools5-dev-tools
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/screengrab.git -b debian/sid
 Homepage: https://github.com/QtDesktop/screengrab
 
 Package: screengrab
