=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --buildsystem=cmake --parallel
+	dh ${@} --buildsystem=cmake 
 
 override_dh_install:
 	rm -f $(currdir)/debian/screengrab/usr/share/doc/screengrab/LICENSE.txt
