=== debian/changelog ===
screengrab (1.97-2) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Fri, 15 Dec 2017 19:20:30 +0100

screengrab (1.97-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.97.
  * Bumped Standards to  4.1.0, no changes needed
  * Bumped year in copyrights
  * Added CMAKE_BUILD_TYPE=RelWithDebInfo
  * Added pgpsignmangle to watch file
  * Added upstream signing key to debian
  * Fixed spelling error in changelog
  * Closes: #876853 

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Sep 2017 22:56:04 +0200
