=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
                pkg-config,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/screengrab.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/screengrab.git
 Homepage: https://github.com/QtDesktop/screengrab
 
 Package: screengrab
