=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 
 override_dh_makeshlibs:
 	# do nothing
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo
