=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/QtDesktop/screengrab/releases .*/screengrab-([\d\.]+).tar.xz
