=== debian/changelog ===
screengrab (1.99-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.99.
  * Picked fix-reading-config.patch from upstream
    Big thanks to Helge Kreutzmann <debian@helgefjell.de> and
    Bernhard Übelacker <bernhardu@mailbox.org>
    (Closes: #905967)
  * Bumped Standards to 4.2.0, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 Aug 2018 15:26:53 +0200

screengrab (1.98-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.98.
  * Removed date-time patch, applied upstream
  * Refreshed the remaining patches
  * Fixed system-wide configuration (Closes: #893809)
  * Fixed default file format (Closes: LP1733461)

 -- Alf Gaida <agaida@siduction.org>  Tue, 22 May 2018 18:01:45 +0200

screengrab (1.97-3) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Removed not needed cmake minimum version
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Use a secure url for copyright-format
  * Bumped years in copyright
  * Removed trailing whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 23:05:53 +0200
