=== debian/changelog ===
screengrab (1.100-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.100.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Removed fix-reading-config.patch, applied upstream
  * Bumped minimum version libqt5xdg-dev (>= 3.3.0~)
  * Bumped minimum version libqt5xdgiconloader-dev (>= 3.3.0~)
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 13:20:28 +0100
