## screengrab 1.101

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(QT_MINIMUM_VERSION "5.7.1")
-set(QTXDG_MINIMUM_VERSION "3.3.0")
+set(QTXDG_MINIMUM_VERSION "3.3.1")
 
 find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
@@ -46,7 +46,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "1.100")
+set(SCREENGRAB_VERSION "1.101")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")
