=== debian/changelog ===
screengrab (1.101-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.101.

 -- Alf Gaida <agaida@siduction.org>  Mon, 25 Feb 2019 23:55:11 +0100
