=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 3.3.0~),
-               libqt5xdgiconloader-dev (>= 3.3.0~) ,
+               libqt5xdg-dev (>= 3.3.1~),
+               libqt5xdgiconloader-dev (>= 3.3.1~) ,
                libx11-dev,
                libx11-xcb-dev,
                libxcb1-dev,
