=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh ${@} --buildsystem=cmake 
+	dh ${@} --buildsystem=cmake
 
 override_dh_install:
 	rm -f $(currdir)/debian/screengrab/usr/share/doc/screengrab/LICENSE.txt
