## screengrab 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,14 +12,12 @@
 # options
 option(SG_DBUS_NOTIFY "Enable D-Bus notifications" ON)
 option(SG_EXT_EDIT "Enable ability to edit screenshots in external editor" ON)
-option(SG_EXT_UPLOADS "Enable upload screenshots to Imgur" ON)
-option(SG_GLOBALSHORTCUTS "Enable global shortcuts" OFF)
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(QT_MINIMUM_VERSION "5.7.1")
-set(QTXDG_MINIMUM_VERSION "3.3.1")
+set(QT_MINIMUM_VERSION "5.10.0")
+set(QTXDG_MINIMUM_VERSION "3.4.0")
 
 find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
@@ -27,26 +25,26 @@
 find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
 
-find_package(X11)
-if (X11_FOUND)
-    set(HAVE_X11 1)
-endif(X11_FOUND)
+# right now we declare it as required
+find_package(X11 REQUIRED)
+set(HAVE_X11 1)
 
 find_package(
-    XCB MODULE COMPONENTS
+    XCB REQUIRED MODULE COMPONENTS
         XCB
         SHAPE
         XFIXES
 )
+
 find_package(
-    X11_XCB MODULE
+    X11_XCB REQUIRED MODULE
 )
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "1.101")
+set(SCREENGRAB_VERSION "2.0.0")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")
@@ -78,20 +76,6 @@
 include(LXQtTranslateDesktop)
 include(Qt5TranslationLoader)
 
-if(SG_GLOBALSHORTCUTS)
-    add_definitions( -DSG_GLOBAL_SHORTCUTS="1")
-
-    if(SG_USE_SYSTEM_QXT)
-        # find qxt
-        find_package(Qxt REQUIRED COMPONENTS QxtCore, QxtGui)
-        include_directories(${QXT_QXTCORE_INCLUDE_DIR} ${QXT_QXTGUI_INCLUDE_DIR})
-    endif()
-endif(SG_GLOBALSHORTCUTS)
-
-if(SG_EXT_UPLOADS)
-    add_definitions( -DSG_EXT_UPLOADS="1")
-endif()
-
 if(SG_EXT_EDIT)
     add_definitions( -DSG_EXT_EDIT="1")
     find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
@@ -102,8 +86,6 @@
     add_definitions( -DSG_DBUS_NOTIFY="1")
 endif()
 
-message(STATUS "Global shortcuts support: " ${SG_GLOBALSHORTCUTS})
-message(STATUS "Imgur upload support: " ${SG_EXT_UPLOADS})
 message(STATUS "Editing screenshots in external editor support: " ${SG_EXT_EDIT})
 message(STATUS "Enable D-Bus notifications: " ${SG_DBUS_NOTIFY})
 message(STATUS "Use system Qxt Library: " ${SG_USE_SYSTEM_QXT})
@@ -120,11 +102,6 @@
 include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src")
 add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/common/qkeysequencewidget")
 include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/common/qkeysequencewidget/src")
-
-if(SG_EXT_UPLOADS)
-    include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/uploader")
-    add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/uploader")
-endif()
 
 if (SG_EXT_EDIT)
     include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/extedit")
@@ -204,18 +181,6 @@
     ${SCREENGRAB_QM_LOADER}
 )
 
-if(SG_GLOBALSHORTCUTS)
-    if(SG_USE_SYSTEM_QXT)
-        target_link_libraries(screengrab ${QXT_QXTCORE_LIB_RELEASE} ${QXT_QXTGUI_LIB_RELEASE})
-    else(SG_USE_SYSTEM_QXT)
-        target_link_libraries(screengrab qxt)
-    endif(SG_USE_SYSTEM_QXT)
-endif()
-
-if(SG_EXT_UPLOADS)
-    target_link_libraries(screengrab uploader)
-endif()
-
 if(SG_EXT_EDIT)
     target_link_libraries(screengrab extedit)
 endif()
