=== debian/changelog ===
screengrab (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Bumped Standards-Version to 4.4.1, no changes needed
  * Switched to gbp
  * Removed patches - not needed anymore
  * Added build dependency lxqt-build-tools (Closes: #948917)
  * Removed explicit build dependencies covered by lxqt-build-tools
  * Make dh_config more verbose about used options

 -- Alf Gaida <agaida@siduction.org>  Sat, 08 Feb 2020 17:05:20 +0100
