=== debian/control ===
--- 
+++ 
@@ -6,20 +6,17 @@
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               cmake,
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 3.3.1~),
-               libqt5xdgiconloader-dev (>= 3.3.1~) ,
+               libqt5xdg-dev (>= 3.4.0~),
+               libqt5xdgiconloader-dev (>= 3.4.0~) ,
                libx11-dev,
                libx11-xcb-dev,
                libxcb1-dev,
                libxcb-xfixes0-dev [!kfreebsd-any],
-               pkg-config,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 4.3.0
+               lxqt-build-tools
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
 Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
 Homepage: https://github.com/lxqt/screengrab
