=== debian/changelog ===
screengrab (2.0.1-0ubuntu1) groovy; urgency=medium

  [ apt-ghetto ]
  * Removed patches, because they are applied upstream.
  * Updated rules and control.

  [ Simon Quigley ]
  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build depends.
  * Update Standards-version to 4.5.0, no changes needed.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:42:04 -0500
