=== debian/control ===
Source: screengrab
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.5.0),
               libqt5xdgiconloader-dev (>= 3.5.0),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-xfixes0-dev [!kfreebsd-any],
               libxcb1-dev,
               lxqt-build-tools
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/screengrab/
Vcs-Git: https://phab.lubuntu.me/source/screengrab.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
Homepage: https://github.com/lxqt/screengrab

Package: screengrab
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Crossplatform tool for getting screenshots
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 Main features:
  * Get desktop screenshots
  * Get active window screenshots
  * Get secreenshots of desktop selection area
  * Copy screenshot to clipboard
  * Saving your image files in formats PNG or JPEG or BMP
  * Ability to set delay in getting screenshots (from 1 to 90 seconds)
