## screengrab 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(QT_MINIMUM_VERSION "5.12.0")
-set(QTXDG_MINIMUM_VERSION "3.6.0")
+set(QTXDG_MINIMUM_VERSION "3.7.0")
 
 find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
@@ -44,7 +44,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "2.1.0")
+set(SCREENGRAB_VERSION "2.2.0")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")
@@ -164,6 +164,7 @@
 
 lxqt_translate_desktop(SCREENGRAB_DESKTOP_FILES
     SOURCES ${SCREENGRAB_DESKTOP_FILES_IN}
+    USE_YAML
 )
 
 qt5_translation_loader(SCREENGRAB_QM_LOADER
