=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,9 @@
 	# do nothing
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo
+	dh_auto_configure -- \
+	    -DSG_DBUS_NOTIFY=ON \
+	    -DSG_EXT_EDIT=ON \
+	    -DSG_GLOBALSHORTCUTS=OFF \
+	    -DUPDATE_TRANSLATIONS=OFF \
+	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
