=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/screengrab/releases .*/screengrab-([\d\.]+).tar.xz
